package com.diagbot.service.impl;

import com.diagbot.dto.GraphDTO;
import com.diagbot.dto.NodeDTO;
import com.diagbot.mapper.KgMapper;
import com.diagbot.service.KgService;
import com.diagbot.vo.KgQueryVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2018-08-02
 */
@Service
public class KgServiceImpl implements KgService {
    @Autowired
    private KgMapper kgMapper;

    @Override
    public List<NodeDTO> getNode(KgQueryVO kgQueryVO){
        return kgMapper.getNode(kgQueryVO);
    }

    @Override
    public List<GraphDTO> getGraph(KgQueryVO kgQueryVO){
        return kgMapper.getGraph(kgQueryVO);
    }

    @Override
    public List<Map> getTree(){
        return kgMapper.getTree();
    }

    @Override
    public List<Map> getSchema(){
        return kgMapper.getSchema();
    }
}
